Alteryx Designer FIPS

Version:
2022.1
Last modified: May 23, 2022

Alteryx Designer FIPS version 2022.1 is the first release of Designer that offers a FIPS 140-2 capable option for customers that require FIPS compliance. Please note that FIPS standards are developed by the US National Institute of Standards and Technology (NIST) for use by US government agencies and contractors. For more information about FIPS, go to the NIST FIPS FAQ page.

The general (non-FIPS) release version of Alteryx Designer is not FIPS capable. A separate release (and installer) is available under separate license terms, for our FIPS 140-2 customers.

Designer Versus Designer FIPS

If you’ve previously used Alteryx Designer, you might notice that certain Designer tools and features are either not available or offer limited functionality with the Alteryx Designer FIPS 2022.1 release. Over time, we plan to make many of these tools and features available again in future Alteryx Designer FIPS releases.

Feature and Tool Differences in the Current FIPS 140-2 Release

If you have previously used Alteryx Designer, please note that some features that you typically find in Designer are not available in Alteryx Designer FIPS.

Excluded or Limited Features

To learn about Designer features that are not available, or have limited functionality, in the current Alteryx Designer FIPS release, go to Alteryx Designer and FIPS: Feature Differences.

Excluded or Limited Tools

To learn about Designer tools that are either not available, or have limited functionality in the current FIPS 140-2 release, go to Alteryx Designer and FIPS: Tool Differences.

Non-Compliant 3rd-Party Libraries for Non-Security Related Purposes

This table lists non-compliant 3rd-party libraries that are used in our FIPS 140-2 release.[1]

Library Algorithms Purpose
AG Grid MD5 Used internally for AG Grid license validation.

FIPS 140-2 Certified Cryptographic Modules Used by Alteryx Designer

  • OpenSSL version 3.0.0 – OpenSSL FIPS Provider – Review Pending – algorithm certs (A1938)[2]
  • Windows 10 - Cryptographic Primitives Library - Certificate #3197

Notes

[1]: Alteryx found that these libraries contain some limited use of non-compliant cryptographic algorithms. We assert that the use of these 3rd-party libraries is not for any security-related purposes.

[2]: Alteryx does not have an option to have our build of OpenSSL 3.0.0 FIPS 140-2 certified, as CMVP is no longer accepting FIPS 140-2 submissions for new validation certificates. This means we will have to wait for OpenSSL FIPS Provider certification to be issued by NIST and will then transition to using the certified OpenSSL FIPS Provider, once it is available.

Was This Page Helpful?

Running into problems or issues with your Alteryx product? Visit the Alteryx Community or contact support. Can't submit this form? Email us.